# Class StartCheckingConnectionRequest

#### Hierarchy

- unknown
  - StartCheckingConnectionRequest

- Defined in src/protobuf/grpc_pb.d.ts:1060
- Defined in src/protobuf/grpc_pb.d.ts:1072

#####
Index

### Constructors

constructor

### Methods

getRefreshPeriod
serializeBinary
setRefreshPeriod
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new StartCheckingConnectionRequest(): StartCheckingConnectionRequest

- #### Returns StartCheckingConnectionRequest

  Inherited from jspb.Message.constructor

## Methods

### getRefreshPeriod

- getRefreshPeriod(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1061

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1064

### setRefreshPeriod

- setRefreshPeriod(value: number): StartCheckingConnectionRequest

- #### Parameters

  - ##### value: number

  #### Returns StartCheckingConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1062

### toObject

- toObject(includeInstance?: boolean): StartCheckingConnectionRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns StartCheckingConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1065

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): StartCheckingConnectionRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StartCheckingConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1068

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StartCheckingConnectionRequest, reader: BinaryReader): StartCheckingConnectionRequest

- #### Parameters

  - ##### message: StartCheckingConnectionRequest

  - ##### reader: BinaryReader

  #### Returns StartCheckingConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1069

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: StartCheckingConnectionRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: StartCheckingConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1067

### `Static` toObject

- toObject(includeInstance: boolean, msg: StartCheckingConnectionRequest): StartCheckingConnectionRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StartCheckingConnectionRequest

  #### Returns StartCheckingConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1066

Generated using TypeDoc